Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
/
{nodeId}
Update node
curl --request PATCH \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {}
}'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}"

payload = { "data": {} }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({data: {}})
};

fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "data": {
      "type": "<string>",
      "title": "<string>",
      "prompt": "<string>",
      "tools": [
        "<string>"
      ],
      "knowledgeBaseId": "<string>",
      "variableKeys": [
        "<string>"
      ],
      "staticTokenCount": 123
    }
  }
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

nodeId
string
required

The node ID

Body

application/json

Partial node; merged into the existing node. id is immutable; the merged result is re-validated.

data
object
{key}
any

Response

OK

data
object
required